Summary: Broker Info module for Workload Management System
Name: glite-wms-brokerinfo
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: %{_arch}
BuildRequires: %{!?extbuilddir: glite-wms-common-devel, glite-build-common-cpp, } chrpath, boost-devel
BuildRequires: %{!?extbuilddir: glite-wms-ism-devel, glite-wms-wmproxy-interface,} libtool
BuildRequires: %{!?extbuilddir: glite-jdl-api-cpp-devel, glite-wms-utils-exception-devel,} classads-devel
BuildRequires: %{!?extbuilddir: glite-lbjp-common-gsoap-plugin-devel,} gsoap-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz

%global debug_package %{nil}

%description
Broker Info module for Workload Management System

%prep
 

%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ./configure --srcdir=$PWD --prefix=%{buildroot}/usr --disable-static PVER=%{version}
  make
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  make install
else
  cp -R %{extbuilddir}/* %{buildroot}
fi
sed 's|^prefix=.*|prefix=/usr|g' %{buildroot}%{_libdir}/pkgconfig/wms-brokerinfo.pc > %{buildroot}%{_libdir}/pkgconfig/wms-brokerinfo.pc.new
mv %{buildroot}%{_libdir}/pkgconfig/wms-brokerinfo.pc.new %{buildroot}%{_libdir}/pkgconfig/wms-brokerinfo.pc
rm %{buildroot}%{_libdir}/*.la
chrpath --delete %{buildroot}%{_libdir}/libglite_wms_dli.so.0.0.0
chrpath --delete %{buildroot}%{_libdir}/libglite_wms_brokerinfo.so.0.0.0


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%dir /usr/share/doc/glite-wms-brokerinfo-%{version}/
/usr/share/doc/glite-wms-brokerinfo-%{version}/LICENSE
%{_libdir}/libglite_wms_dli.so.0
%{_libdir}/libglite_wms_dli.so.0.0.0
%{_libdir}/libglite_wms_brokerinfo.so.0
%{_libdir}/libglite_wms_brokerinfo.so.0.0.0



%package devel
Summary: Development files for the WMS brokerinfo module
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glite-wms-common-devel
Requires: glite-wms-ism-devel, glite-wms-wmproxy-interface
Requires: boost-devel, glite-build-common-cpp
Requires: glite-jdl-api-cpp-devel, glite-wms-utils-exception-devel, classads-devel
Requires: glite-lbjp-common-gsoap-plugin-devel, gsoap-devel

%description devel
Development files for the WMS brokerinfo module

%files devel
%defattr(-,root,root)
%dir /usr/include/glite/
%dir /usr/include/glite/wms/
%dir /usr/include/glite/wms/brokerinfo/
/usr/include/glite/wms/brokerinfo/*.h
%{_libdir}/pkgconfig/wms-brokerinfo.pc
%{_libdir}/libglite_wms_brokerinfo.so
%{_libdir}/libglite_wms_dli.so



%changelog
* %{extcdate} WMS group <wms-support@lists.infn.it> - %{extversion}-%{extage}.%{extdist}
- %{extclog}

